Jupiter ERP
Account API

Create PrintBackgrounds

/api/account/print-backgrounds

POSTHTTP
post/api/account/print-backgrounds

Example request

POST https://api.jupiter-erp.com/api/account/print-backgrounds

Code
curl -X POST 'https://api.jupiter-erp.com/api/account/print-backgrounds' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "is_default": true,
  "is_default_custom_document": true,
  "is_default_quote": true,
  "is_default_order_confirmation": true,
  "is_default_delivery_note": true
}'

Request body

Optional

FieldTypeDescription
is_defaultboolean
is_default_credit_noteboolean
is_default_custom_documentboolean
is_default_delivery_noteboolean
is_default_dunningboolean
is_default_invoiceboolean
is_default_order_confirmationboolean
is_default_quoteboolean
name*string
Example request
{
  "name": "string",
  "is_default": true,
  "is_default_custom_document": true,
  "is_default_quote": true,
  "is_default_order_confirmation": true,
  "is_default_delivery_note": true
}

Responses

201Created
FieldTypeDescription
created_atstring (date-time)Creation timestamp in ISO 8601 format.
id*integer
is_defaultboolean
is_default_credit_noteboolean
is_default_custom_documentboolean
is_default_delivery_noteboolean
is_default_dunningboolean
is_default_invoiceboolean
is_default_order_confirmationboolean
is_default_quoteboolean
mediaFileobject
FieldTypeDescription
idinteger
urlstring
name*string
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
Example response
{
  "id": 0,
  "name": "string",
  "is_default": true,
  "is_default_custom_document": true,
  "is_default_quote": true,
  "is_default_order_confirmation": true
}
PrintBackgrounds

Questions about integration?

POST /api/account/print-backgrounds · Jupiter ERP